Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTSimpleTypeConstructorExpression

All Superinterfaces:
  `IASTExpression`, `IASTImplicitDestructorNameOwner`, `IASTInitializerClause`, `IASTNode`, `ICPPASTExpression`, `ICPPASTInitializerClause`

All Known Subinterfaces:
  `ICPPASTTypenameExpression`

public interface ICPPASTSimpleTypeConstructorExpression extends ICPPASTExpression
Functional cast expressions: simple-type-specifier (expression-list?) simple-type-specifier braced-init-list typename-specifier (expression-list?) typename-specifier braced-init-list

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`IASTExpression.ValueCategory`

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`INITIALIZER`
`static final ASTNodeProperty`
`INITIALIZER_VALUE`
Deprecated.
Replaced by `INITIALIZER`.
`static final int`
`t_bool`
Deprecated.
Not used.
`static final int`
`t_char`
Deprecated.
Not used.
`static final int`
`t_double`
Deprecated.
Not used.
`static final int`
`t_float`
Deprecated.
Not used.
`static final int`
`t_int`
Deprecated.
Not used.
`static final int`
`t_long`
Deprecated.
Not used.
`static final int`
`t_short`
Deprecated.
Not used.
`static final int`
`t_signed`
Deprecated.
Not used.
`static final int`
`t_unsigned`
Deprecated.
Not used.
`static final int`
`t_unspecified`
Deprecated.
Not used.
`static final int`
`t_void`
Deprecated.
Not used.
`static final int`
`t_wchar_t`
Deprecated.
Not used.
`static final ASTNodeProperty`
`TYPE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`EMPTY_EXPRESSION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`IMPLICIT_DESTRUCTOR_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`ICPPASTSimpleTypeConstructorExpression`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`ICPPASTSimpleTypeConstructorExpression`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`ICPPASTDeclSpecifier`
`getDeclSpecifier()`
Returns the declaration specifier that specifies the type.
`IASTInitializer`
`getInitializer()`
Returns the argument for initialization.
`IASTExpression`
`getInitialValue()`
Deprecated.
Replaced by `getInitializer()`
`int`
`getSimpleType()`
Deprecated.
Replaced by `getDeclSpecifier()`.
`void`
`setDeclSpecifier(ICPPASTDeclSpecifier declSpec)`
Not allowed on frozen ast.
`void`
`setInitializer(IASTInitializer initializer)`
Not allowed on frozen ast.
`void`
`setInitialValue(IASTExpression expression)`
Deprecated.
Replaced by `setInitializer(IASTInitializer)`
`void`
`setSimpleType(int value)`
Deprecated.
Replaced by `setDeclSpecifier(ICPPASTDeclSpecifier)`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`getExpressionType, getValueCategory, isLValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`getImplicitDestructorNames`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTInitializerClause

`getEvaluation`

## Field Details

### TYPE_SPECIFIER

static final ASTNodeProperty TYPE_SPECIFIER

Since:
  5.2

### INITIALIZER

static final ASTNodeProperty INITIALIZER

Since:
  5.2

### t_unspecified

@Deprecated static final int t_unspecified
Deprecated.
Not used.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_void

@Deprecated static final int t_void
Deprecated.
Not used.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_char

@Deprecated static final int t_char
Deprecated.
Not used.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_int

@Deprecated static final int t_int
Deprecated.
Not used.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_float

@Deprecated static final int t_float
Deprecated.
Not used.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_double

@Deprecated static final int t_double
Deprecated.
Not used.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_bool

@Deprecated static final int t_bool
Deprecated.
Not used.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_wchar_t

@Deprecated static final int t_wchar_t
Deprecated.
Not used.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_short

@Deprecated static final int t_short
Deprecated.
Not used.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_long

@Deprecated static final int t_long
Deprecated.
Not used.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_signed

@Deprecated static final int t_signed
Deprecated.
Not used.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_unsigned

@Deprecated static final int t_unsigned
Deprecated.
Not used.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### INITIALIZER_VALUE

@Deprecated static final ASTNodeProperty INITIALIZER_VALUE
Deprecated.
Replaced by `INITIALIZER`.

Restriction:
  This field is not intended to be referenced by clients.

## Method Details

### getDeclSpecifier

ICPPASTDeclSpecifier getDeclSpecifier()
Returns the declaration specifier that specifies the type.

Since:
  5.2

### getInitializer

IASTInitializer getInitializer()
Returns the argument for initialization. Can be `ICPPASTConstructorInitializer` or `ICPPASTInitializerList`

Since:
  5.2

### copy

ICPPASTSimpleTypeConstructorExpression copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

### copy

ICPPASTSimpleTypeConstructorExpression copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3

### setDeclSpecifier

void setDeclSpecifier(ICPPASTDeclSpecifier declSpec)
Not allowed on frozen ast.

Since:
  5.2

### setInitializer

void setInitializer(IASTInitializer initializer)
Not allowed on frozen ast.

Since:
  5.2

### getSimpleType

@Deprecated int getSimpleType()
Deprecated.
Replaced by `getDeclSpecifier()`.

Restriction:
  This method is not intended to be referenced by clients.

### setSimpleType

@Deprecated void setSimpleType(int value)
Deprecated.
Replaced by `setDeclSpecifier(ICPPASTDeclSpecifier)`

Restriction:
  This method is not intended to be referenced by clients.

### getInitialValue

@Deprecated IASTExpression getInitialValue()
Deprecated.
Replaced by `getInitializer()`

Restriction:
  This method is not intended to be referenced by clients.

### setInitialValue

@Deprecated void setInitialValue(IASTExpression expression)
Deprecated.
Replaced by `setInitializer(IASTInitializer)`

Restriction:
  This method is not intended to be referenced by clients.